Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 178984 - NullPointerException at org.netbeans.modules.cnd.editor.fortran.indent.FortranIndentSupport.findInlineSpacing
NullPointerException at org.netbeans.modules.cnd.editor.fortran.indent.Fortra...
Status: VERIFIED FIXED
Product: cnd
Classification: Unclassified
Component: Editor
6.x
All All
: P3 (vote)
: 6.x
Assigned To: Alexander Simon
issues@cnd
EXCEPTIONS_REPORT, 68patch1-verified
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-12-22 11:13 UTC by nnnnnk
Modified: 2010-01-26 07:23 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments
stacktrace (3.00 KB, text/plain)
2009-12-22 11:13 UTC, nnnnnk
Details

Note You need to log in before you can comment on or make changes to this bug.
Description nnnnnk 2009-12-22 11:13:52 UTC
Build: NetBeans IDE Dev (Build 091117-25c7d2aec58e)
VM: Java HotSpot(TM) Server VM, 14.3-b01, Java(TM) SE Runtime Environment, 1.6.0_17-b04
OS: SunOS, 5.11, x86

User Comments:
nnnnnk: Editing fortran file



Stacktrace: 
java.lang.NullPointerException
   at org.netbeans.modules.cnd.editor.fortran.indent.FortranIndentSupport.findInlineSpacing(FortranIndentSupport.java:388)
   at org.netbeans.modules.cnd.editor.fortran.indent.FortranIndentTask.indentLine(FortranIndentTask.java:103)
   at org.netbeans.modules.cnd.editor.fortran.indent.FortranIndentTask.reindent(FortranIndentTask.java:75)
   at org.netbeans.modules.editor.indent.TaskHandler$MimeItem.runTask(TaskHandler.java:545)
   at org.netbeans.modules.editor.indent.TaskHandler.runTasks(TaskHandler.java:314)
   at org.netbeans.modules.editor.indent.IndentImpl.reindent(IndentImpl.java:232)
Comment 1 nnnnnk 2009-12-22 11:13:56 UTC
Created attachment 92868 [details]
stacktrace
Comment 2 Alexander Simon 2009-12-22 13:37:38 UTC
nnnnnk, please, attach file to reproduce bug
Comment 3 nnnnnk 2009-12-23 06:20:10 UTC
----------------

!100      PROGRAM MAIN
333      INTEGER N, X
          EXTERNAL SUB1
          COMMON /GLOBALS/ N
          X = 0
          PRINT *, 'Enter number of repeats'
          READ (*, *) N
          CALL SUB1(X, SUB1)
      END

55   SUBROUTINE SUB1(X, DUMSUB)
          INTEGER N, X
          EXTERNAL DUMSUB
          COMMON /GLOBALS/ N
          IF (X .LT. N)THEN
              X = X + 1
              PRINT *, 'x = ', X
              CALL DUMSUB(X, DUMSUB)
          END IF
      END
----------------
Try to put cursor after ! and push enter.
Comment 4 Alexander Simon 2010-01-11 04:48:35 UTC
fixed, change set:
http://hg.netbeans.org/cnd-main/rev/508c1b516e40
Comment 5 Quality Engineering 2010-01-11 23:32:53 UTC
Integrated into 'main-golden', will be available in build *201001120200* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/508c1b516e40
User: Alexander Simon <alexvsimon@netbeans.org>
Log: fixed  BZ#178984 NullPointerException at org.netbeans.modules.cnd.editor.fortran.indent.FortranIndentSupport.findInlineSpacing
Comment 6 Alexander Pepin 2010-01-15 06:53:19 UTC
verified in trunk build 201001150201
Comment 7 pgebauer 2010-01-18 05:41:23 UTC
The fix has been ported into the release68_fixes repository.
http://hg.netbeans.org/release68_fixes/rev/59e316f6d04f
Comment 8 Alexander Pepin 2010-01-26 07:23:29 UTC
verified in patch1 candidate


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo